#pragma once
#include <Windows.h>
#include <deque>
#include <iostream>
#include <string>

namespace WINDIR{
	enum { IS_DIR, IS_FILE};
}

struct WinDirData{
	std::wstring Name;
	std::wstring Path;
	bool is;
};

class WinDir
{
public:
	WinDir(void);
	~WinDir(void);


	static int Delete_Directory( const std::wstring& );
	static int Create_Directory( const std::wstring& );
	static int Copy_Directory( const std::wstring& /**/, const std::wstring& /**/);
	static int Copy_Directory( const std::wstring& /**/, const std::wstring& /**/, int& /* */ , bool& /**/ );
	static int Rename_Directory(const std::wstring& /*  */, const std::wstring&  /**/ );
	static int ReadDirR(const std::wstring& /*path*/, std::deque<WinDirData>& /*result*/);
	static int ReadDir(const std::wstring& /*path*/, std::deque<WinDirData>& /*result*/);
	static int ScanDirR(const std::wstring& /*path*/, const std::wstring& /*mask*/ ,std::deque<WinDirData>& /*result*/);
	static int ScanDir(const std::wstring& /*path*/, const std::wstring& /*mask*/ ,std::deque<WinDirData>& /*result*/);
	static int Copy_File(const std::wstring& from, const std::wstring& to, bool& Stop);

private:

	
};

